## wireshark-1.11.0.tar.bz2

=== CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52580 2013-10-13 09:21:55Z grahamb $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

project(Wireshark C CXX)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_BACKWARDS_COMPATIBILITY 2.6)

# Needs to be set after cmake_minimum_required or cmake_policy(VERSION)
if(COMMAND cmake_policy)
	# Backward compatibility for versions < 2.6.3
	cmake_policy(SET CMP0011 OLD)
#	cmake_policy(SET CMP0015 NEW)
endif(COMMAND cmake_policy)

# set(PROJECT_MAJOR_VERSION 1)
# set(PROJECT_MINOR_VERSION 9)
# set(PROJECT_PATCH_VERSION 0)
# set(PROJECT_VERSION_EXTENSION "-rc5")
# If not set, copy over Wireshark version from configure.ac
if(NOT PROJECT_MAJOR_VERSION)
	file(STRINGS
		${CMAKE_SOURCE_DIR}/configure.ac
		PROJECT_MAJOR_VERSION_TMP
		REGEX "^m4_define\\(\\[?version_major\\]?, *\\[?[0-9]+\\]?\\)"
	)
	file(STRINGS
		${CMAKE_SOURCE_DIR}/configure.ac
		PROJECT_MINOR_VERSION_TMP
		REGEX "^m4_define\\(\\[?version_minor\\]?, *\\[?[0-9]+\\]?\\)"
	)
	file(STRINGS
		${CMAKE_SOURCE_DIR}/configure.ac
		PROJECT_PATCH_VERSION_TMP
		REGEX "^m4_define\\(\\[?version_micro\\]?, *\\[?[0-9]+\\]?\\)"
	)
	# XXX pull VERSION_EXTENSION out of configure.ac ?

	string(REGEX REPLACE "m4_define\\(\\[?version_major\\]?, *\\[?([0-9]+)\\]?\\)"
		"\\1"
		PROJECT_MAJOR_VERSION
		${PROJECT_MAJOR_VERSION_TMP}
	)
	string(REGEX REPLACE "m4_define\\(\\[?version_minor\\]?, *\\[?([0-9]+)\\]?\\)"
		"\\1"
		PROJECT_MINOR_VERSION
		${PROJECT_MINOR_VERSION_TMP}
	)
	string(REGEX REPLACE "m4_define\\(\\[?version_micro\\]?, *\\[?([0-9]+)\\]?\\)"
		"\\1"
		PROJECT_PATCH_VERSION
		${PROJECT_PATCH_VERSION_TMP}
	)
endif()


if(PROJECT_VERSION_EXTENSION)
	set(PROJECT_VERSION ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION}${PROJECT_VERSION_EXTENSION})
else()
	set(PROJECT_VERSION ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION})
endif()

message(STATUS "V: ${PROJECT_VERSION}, MaV: ${PROJECT_MAJOR_VERSION}, MiV: ${PROJECT_MINOR_VERSION}, PL: ${PROJECT_PATCH_VERSION}, EV: ${PROJECT_VERSION_EXTENSION}.")

#Where to find local cmake scripts
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
INCLUDE(UseLemon)
INCLUDE(UseMakeDissectorReg)
INCLUDE(UseMakeTapReg)
INCLUDE(UseAsn2Wrs)

# Under linux the release mode (CMAKE_BUILD_TYPE=release) defines NDEBUG

# Enable with: "make VERBOSE=1"
set(CMAKE_VERBOSE_MAKEFILE OFF)

#Defines CMAKE_INSTALL_BINDIR, CMAKE_INSTALL_DATADIR, etc ...
include(CMakeInstallDirs)

include_directories(
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/epan
	${CMAKE_SOURCE_DIR}/tools/lemon
	${CMAKE_SOURCE_DIR}/wiretap
)

#Where to put libraries
if(NOT LIBRARY_OUTPUT_PATH)
	set(LIBRARY_OUTPUT_PATH ${Wireshark_BINARY_DIR}/lib CACHE INTERNAL
		   "Single output directory for building all libraries.")
endif()


include(CMakeOptions.txt)

if( CMAKE_C_COMPILER_ID MATCHES "MSVC")
    set(LOCAL_CFLAGS
        /Zi
        /W3
        /MDd
        /DWIN32_LEAN_AND_MEAN
        "/DMSC_VER_REQUIRED=${MSC_VER_REQUIRED}"
        /D_CRT_SECURE_NO_DEPRECATE
        /D_CRT_NONSTDC_NO_DEPRECATE
        /MP
	# NOMINMAX keeps windows.h from defining "min" and "max" via windef.h.
	# This avoids conflicts with the C++ standard library.
	/DNOMINMAX
    )

    if(NOT WIN64)
        set(LOCAL_CFLAGS ${LOCAL_CFLAGS} "/D_BIND_TO_CURRENT_CRT_VERSION=1")
    endif()

    # Additional compiler warnings to be treated as "Level 3"
    #  when compiling Wireshark sources. (Selected from "level 4" warnings).
    ## 4295: array is too small to include a terminating null character
    set(WARNINGS_CFLAGS "/w34295")

    set(WIRESHARK_C_FLAGS
	# FIXME: This doen't work as PCAP_VERSION will be determined later
        "/DPCAP_VERSION=${PCAP_VERSION}"
        ${LOCAL_CFLAGS}
        ${WARNINGS_CFLAGS}
    )
else()
    set(WIRESHARK_C_FLAGS
        -O2
        -g
        -Wall
        -W
        -Wextra
        -Wendif-labels
        -Wpointer-arith
        -Warray-bounds
        -Wformat-security
        -Wshorten-64-to-32
        -Wvla
        -Waddress
        -Warray-bounds
        -Wattributes
        -Wdiv-by-zero
        -Wignored-qualifiers
        -Wno-overlength-strings
        -Wwrite-strings
        -Wno-long-long
        -Wpragmas
    )

    set(WIRESHARK_C_ONLY_FLAGS
        # The following are C only, not C++
        -Wc++-compat
        -Wdeclaration-after-statement
        -Wshadow
        -Wno-pointer-sign
        -Wold-style-definition
        -Wstrict-prototypes
        -Wlogical-op
        -Wjump-misses-init
    )

    set(WIRESHARK_EXTRA_C_FLAGS
        -pedantic
        -Woverflow
        -fstrict-overflow -Wstrict-overflow=4
        -Wunreachable-code
        -Wunsafe-loop-optimizations
        -Wcast-align
        -Wcast-qual
        -Wformat-security
        -Wredundant-decls
        # All the registration functions block these for now.
        -Wmissing-declarations
    )

    set(WIRESHARK_EXTRA_C_ONLY_FLAGS
        # The following are C only, not C++
        -Wbad-function-cast
        # All the registration functions block these for now.
        -Wmissing-prototypes
    )

    # With clang some tests don't fail properly during testing but only
    # during real compiles

    if(NOT CMAKE_C_COMPILER_ID MATCHES "Clang")

        set(WIRESHARK_C_FLAGS ${WIRESHARK_C_FLAGS}
            -fexcess-precision=fast
        )

        set(WIRESHARK_C_ONLY_FLAGS ${WIRESHARK_C_ONLY_FLAGS}
        )
    endif()

    if(ENABLE_EXTRA_GCC_CHECKS)   # This overrides -Werror
        set(WIRESHARK_C_FLAGS ${WIRESHARK_C_FLAGS} ${WIRESHARK_EXTRA_C_FLAGS})
        set(WIRESHARK_C_ONLY_FLAGS ${WIRESHARK_C_ONLY_FLAGS} ${WIRESHARK_EXTRA_C_ONLY_FLAGS})
    endif()

    add_definitions(
        -DG_DISABLE_DEPRECATED
        -DG_DISABLE_SINGLE_INCLUDES
    )
endif()

# Counterhack to work around some cache magic in CHECK_C_SOURCE_COMPILES
include(CheckCCompilerFlag)

if(NOT DISABLE_WERROR AND NOT ENABLE_EXTRA_GCC_CHECKS)
	check_c_compiler_flag(-Werror=unknown-warning-option WERR_UNKNOWN)
	check_c_compiler_flag(-Werror WERROR)
else()
	unset(WERR_UNKNOWN)
	unset(WERROR)
endif()
# string of additional compile command line flags for check_c_compiler_flag
if(WERR_UNKNOWN)
	set(CMAKE_REQUIRED_FLAGS -Werror=unknown-warning-option )
endif()

set(C 0)
# Sigh: Have to use THIS_FLAG instead of ${F} for some reason
foreach(THIS_FLAG ${WIRESHARK_C_FLAGS})
	set(F WS_C_FLAG_${C})
	set(${F} ${THIS_FLAG})
	set(V WS_C_FLAG_VALID${C})
	message(STATUS "Checking for flag: ${${F}}")
	check_c_compiler_flag(${${F}} ${V})
	if (${${V}})
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${${F}}")
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${${F}}")
	endif()
	math(EXPR C "${C} + 1")
endforeach()
# Continue increasing C from previous loop
foreach(THIS_FLAG ${WIRESHARK_C_ONLY_FLAGS})
	set(F WS_C_FLAG_${C})
	set(${F} ${THIS_FLAG})
	set(V WS_C_FLAG_VALID${C})
	message(STATUS "Checking for flag: ${${F}}")
	check_c_compiler_flag(${${F}} ${V})
	if (${${V}})
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${${F}}")
	endif()
	math(EXPR C "${C} + 1")
endforeach()
message(STATUS "C-Flags: ${CMAKE_C_FLAGS}\nCXX-Flags: ${CMAKE_CXX_FLAGS}")

check_c_compiler_flag(-fvisibility=hidden FVHIDDEN)
if((FVHIDDEN))
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
else() # TODO add alternate compiler flags for hiding symbols
	message(WARNING "Hiding shared library symbols is not supported by the compiler."
		" All shared library symbols will be exported.")
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
	set (C_UNUSED "__attribute__((unused))" )
else()
	set (C_UNUSED "" )
endif()


if( CMAKE_C_COMPILER_ID MATCHES "MSVC")
	# Set in Makefile.nmake but doesn't seem to have any effect
	# set(WIRESHARK_LD_FLAGS
	# 	/LARGEADDRESSAWARE
	# )
else()
	set(WIRESHARK_LD_FLAGS
		-Wl,--as-needed
		# -flto
		# -fwhopr
		# -fwhole-program
	)
endif()

include(CheckCLinkerFlag)
set(C 0)
# Sigh: Have to use THIS_FLAG instead of ${F} for some reason
foreach(THIS_FLAG ${WIRESHARK_LD_FLAGS})
	set(F WS_LD_FLAG_${C})
	set(${F} ${THIS_FLAG})
	set(V WS_LD_FLAG_VALID${C})
	check_c_linker_flag(${${F}} ${V})
	if (${${V}})
		set(WS_LINK_FLAGS ${WS_LINK_FLAGS} ${${F}})
	endif()
	math(EXPR C "${C} + 1")
endforeach()

if(ENABLE_STATIC)
  set(LINK_MODE_LIB STATIC)
  set(LINK_MODE_MODULE STATIC)
else()
  set(LINK_MODE_LIB SHARED)
  set(LINK_MODE_MODULE MODULE)
endif()

if(APPLE AND EXISTS /usr/local/opt/gettext)
	# GLib on OS X requires libintl. Homebrew installs gettext (and
	# libintl) in /usr/local/opt/gettext
	include_directories(/usr/local/opt/gettext/include)
	link_directories(/usr/local/opt/gettext/lib)
endif()

# The packagelist is doing some magic:  If we add XXX to the packagelist, we
# - may optionally set XXX_OPTIONS to pass to the find_package command
# - will call FindXXX.cmake
# - return found libraries in XXX_LIBRARIES
# - return found include in XXX_INCLUDE_DIRS
# - set HAVE_XXX

#The minimum package list
set(PACKAGELIST GLIB2 GMODULE2 GTHREAD2 M LEX YACC Perl SH PythonInterp)
set(GLIB2_FIND_REQUIRED)
set(GLIB2_MIN_VERSION 2.14.0)
set(GTHREAD2_REQUIRED)
set(M_REQUIRED)
set(PythonInterp_FIND_VERSION 2)
set(Python_ADDITIONAL_VERSIONS 3)

set(PACKAGELIST ${PACKAGELIST} HtmlViewer)

if(ENABLE_PCAP)
	set(PACKAGELIST ${PACKAGELIST} PCAP)
endif()

if(ENABLE_AIRPCAP)
	set(PACKAGELIST ${PACKAGELIST} AIRPCAP)
endif()

# Build the GTK-GUI?
if(BUILD_wireshark)
	if(ENABLE_GTK3)
		set(PACKAGELIST ${PACKAGELIST} GTK3)
	else()
		set(PACKAGELIST ${PACKAGELIST} GTK2)
		set(GTK2_OPTIONS COMPONENTS gtk)
		set(GTK2_FIND_VERSION 2.12)
		set(GTK2_DEBUG false)
	endif()
endif()

# Build the Qt GUI?
if(BUILD_qtshark)
	if(ENABLE_QT5)
		set(PACKAGELIST ${PACKAGELIST} Qt5Widgets Qt5PrintSupport Qt5LinguistTools)
		if (APPLE)
			set(PACKAGELIST ${PACKAGELIST} Qt5MacExtras)
		endif()
		set(QT_VERSION 5)
		# Untested, may not work if CMAKE_PREFIX_PATH gets overwritten
		# somewhere. The if WIN32 in this place is annoying as well.
		if( WIN32 )
			set( QT5_BASE_PATH "$ENV{QT5_BASE_DIR}" )
			set( CMAKE_PREFIX_PATH "${QT5_BASE_PATH}\\msvc2010" )
			set( QT5_DLL_PATH "${CMAKE_PREFIX_PATH}/bin/dummy" )
			set( WS_ALL_LIBS ${WS_ALL_LIBS} ${QT5_DLL_PATH} )
		endif()
	else()
		set(PACKAGELIST ${PACKAGELIST} Qt4)
		# set(Qt4_OPTIONS 4.7.1 REQUIRED QtCore QtGui)
		set(QT_VERSION 4)
	endif()
endif()

# SMI SNMP
if(ENABLE_SMI)
	set(PACKAGELIST ${PACKAGELIST} SMI)
endif()

# GNU crypto
if(ENABLE_GCRYPT)
	set(PACKAGELIST ${PACKAGELIST} GCRYPT)
endif()

# GNU SSL/TLS support
if(ENABLE_GNUTLS)
	set(PACKAGELIST ${PACKAGELIST} GNUTLS)
endif()

# Kerberos
if(ENABLE_KERBEROS)
	set(PACKAGELIST ${PACKAGELIST} KERBEROS)
endif()

# Portable audio
if(ENABLE_PORTAUDIO AND BUILD_wireshark)
	set(PACKAGELIST ${PACKAGELIST} PORTAUDIO)
endif()


# Prefer c-ares over adns
if(ENABLE_CARES)        # C Asynchronouse resolver
	set(PACKAGELIST ${PACKAGELIST} CARES)
elseif(ENABLE_ADNS)     # Gnu asynchronous DNS
	set(PACKAGELIST ${PACKAGELIST} ADNS)
endif()

# Zlib compression
if(ENABLE_ZLIB)
	set(PACKAGELIST ${PACKAGELIST} ZLIB)
endif()

# Lua 5.1 dissectors
if(ENABLE_LUA)
	set(PACKAGELIST ${PACKAGELIST} LUA)
endif()

# GeoIP address resolving
if(ENABLE_GEOIP)
	set(PACKAGELIST ${PACKAGELIST} GEOIP)
endif()

=== codecs/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52580 2013-10-13 09:21:55Z grahamb $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set(CODECS_FILES
  G711a/G711adecode.c
  G711u/G711udecode.c
)

add_library(codecs STATIC
  ${CODECS_FILES}
)
set_target_properties(codecs PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(codecs PROPERTIES FOLDER "codecs")

=== docbook/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52488 2013-10-10 08:41:14Z rbalint $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#


set(WSUG_FILES
	wsug_src/WSUG_app_files.xml
	wsug_src/WSUG_app_howitworks.xml
	wsug_src/WSUG_app_messages.xml
	wsug_src/WSUG_app_protocols.xml
	wsug_src/WSUG_app_tools.xml
	wsug_src/WSUG_chapter_advanced.xml
	wsug_src/WSUG_chapter_build_install.xml
	wsug_src/WSUG_chapter_capture.xml
	wsug_src/WSUG_chapter_customize.xml
	wsug_src/WSUG_chapter_introduction.xml
	wsug_src/WSUG_chapter_io.xml
	wsug_src/WSUG_chapter_statistics.xml
	wsug_src/WSUG_chapter_telephony.xml
	wsug_src/WSUG_chapter_troubleshoot.xml
	wsug_src/WSUG_chapter_use.xml
	wsug_src/WSUG_chapter_work.xml
	wsug_src/WSUG_meta_info.xml
	wsug_src/WSUG_preface.xml
	wsluarm.xml
	ws.css
)

set(WSUG_GRAPHICS
	wsug_graphics/ws-analyze-menu.png
	wsug_graphics/ws-bytes-pane-tabs.png
	wsug_graphics/ws-bytes-pane.png
	wsug_graphics/ws-capture-info.png
	wsug_graphics/ws-capture-interfaces.png
	wsug_graphics/ws-capture-interfaces-win32.png
	wsug_graphics/ws-capture-menu.png
	wsug_graphics/ws-capture-options.png
	wsug_graphics/ws-capture-options-remote-capture.png
	wsug_graphics/ws-capture-options-remote-interface.png
	wsug_graphics/ws-capture-options-remote-settings.png
	wsug_graphics/ws-capture-preferences.png
	wsug_graphics/ws-choose-color-rule.png
	wsug_graphics/ws-coloring-fields.png
	wsug_graphics/ws-coloring-rules-dialog.png
	wsug_graphics/ws-column-header-popup-menu.png
	wsug_graphics/ws-decode-as-show.png
	wsug_graphics/ws-decode-as.png
	wsug_graphics/ws-column-header-popup-menu.png
	wsug_graphics/ws-details-pane-popup-menu.png
	wsug_graphics/ws-details-pane.png
	wsug_graphics/ws-display-filter-tcp.png
	wsug_graphics/ws-edit-color-rule-dialog.png
	wsug_graphics/ws-edit-menu.png
	wsug_graphics/ws-enabled-protocols.png
	wsug_graphics/ws-expert-colored-tree.png
	wsug_graphics/ws-expert-column.png
	wsug_graphics/ws-expert-infos.png
	wsug_graphics/ws-export-objects.png
	wsug_graphics/ws-export-pdml.png
	wsug_graphics/ws-export-plain.png
	wsug_graphics/ws-export-ps.png
	wsug_graphics/ws-export-psml.png
	wsug_graphics/ws-export-selected.png
	wsug_graphics/ws-file-import.png
	wsug_graphics/ws-file-menu.png
	wsug_graphics/ws-file-set-dialog.png
	wsug_graphics/ws-filter-add-expression.png
	wsug_graphics/ws-filter-toolbar.png
	wsug_graphics/ws-filters.png
	wsug_graphics/ws-find-packet.png
	wsug_graphics/ws-follow-stream.png
	wsug_graphics/ws-go-menu.png
	wsug_graphics/ws-goto-packet.png
	wsug_graphics/ws-gui-colors-preferences.png
	wsug_graphics/ws-gui-columns-preferences.png
	wsug_graphics/ws-gui-config-profiles.png
	wsug_graphics/ws-gui-font-preferences.png
	wsug_graphics/ws-gui-layout-preferences.png
	wsug_graphics/ws-gui-preferences.png
	wsug_graphics/ws-help-menu.png
	wsug_graphics/ws-internals-menu.png
	wsug_graphics/ws-list-pane.png
	wsug_graphics/ws-logo.png
	wsug_graphics/ws-main-toolbar.png
	wsug_graphics/ws-main.png
	wsug_graphics/ws-menu.png
	wsug_graphics/ws-merge-gtk20.png
	wsug_graphics/ws-merge-gtk24.png
	wsug_graphics/ws-merge-win32.png
	wsug_graphics/ws-nameresolution-preferences.png
	wsug_graphics/ws-open-gtk20.png
	wsug_graphics/ws-open-gtk24.png
	wsug_graphics/ws-open-win32.png
	wsug_graphics/ws-packet-format.png
	wsug_graphics/ws-packet-pane-popup-menu.png
	wsug_graphics/ws-packet-range.png
	wsug_graphics/ws-packet-selected.png
	wsug_graphics/ws-packet-sep-win.png
	wsug_graphics/ws-print.png
	wsug_graphics/ws-printing-preferences.png
	wsug_graphics/ws-save-as-gtk20.png
	wsug_graphics/ws-save-as-gtk24.png
	wsug_graphics/ws-save-as-win32.png
	wsug_graphics/ws-statistics-menu.png
	wsug_graphics/ws-stats-conversations.png
	wsug_graphics/ws-stats-endpoints.png
	wsug_graphics/ws-stats-hierarchy.png
	wsug_graphics/ws-stats-iographs.png
	wsug_graphics/ws-stats-srt-dcerpc-filter.png
	wsug_graphics/ws-stats-srt-dcerpc.png
	wsug_graphics/ws-stats-summary.png
	wsug_graphics/ws-stats-lte-mac-traffic.png
	wsug_graphics/ws-stats-lte-rlc-traffic.png
	wsug_graphics/ws-stats-wlan-traffic.png
	wsug_graphics/ws-statusbar-empty.png
	wsug_graphics/ws-statusbar-loaded.png
	wsug_graphics/ws-statusbar-selected.png
	wsug_graphics/ws-telephony-menu.png
	wsug_graphics/ws-time-reference.png
	wsug_graphics/ws-tools-menu.png
	wsug_graphics/ws-view-menu.png
	wsug_graphics/note.png
	wsug_graphics/tip.png
	wsug_graphics/warning.png
	wsug_graphics/toolbar/autoscroll_24.png
	wsug_graphics/toolbar/capture_filter_24.png
	wsug_graphics/toolbar/capture_interfaces_24.png
	wsug_graphics/toolbar/capture_options_24.png
	wsug_graphics/toolbar/capture_restart_24.png
	wsug_graphics/toolbar/capture_start_24.png
	wsug_graphics/toolbar/capture_stop_24.png
	wsug_graphics/toolbar/colorize_24.png
	wsug_graphics/toolbar/display_filter_24.png
	wsug_graphics/toolbar/resize_columns_24.png
	wsug_graphics/toolbar/stock_add_24.png
	wsug_graphics/toolbar/stock_apply_20.png
	wsug_graphics/toolbar/stock_bottom_24.png
	wsug_graphics/toolbar/stock_clear_24.png
	wsug_graphics/toolbar/stock_close_24.png
	wsug_graphics/toolbar/stock_colorselector_24.png
	wsug_graphics/toolbar/stock_help_24.png
	wsug_graphics/toolbar/stock_jump_to_24.png
	wsug_graphics/toolbar/stock_left_arrow_24.png
	wsug_graphics/toolbar/stock_open_24.png
	wsug_graphics/toolbar/stock_preferences_24.png
	wsug_graphics/toolbar/stock_print_24.png
	wsug_graphics/toolbar/stock_properties_24.png
	wsug_graphics/toolbar/stock_refresh_24.png
	wsug_graphics/toolbar/stock_right_arrow_24.png
	wsug_graphics/toolbar/stock_save_24.png
	wsug_graphics/toolbar/stock_save_as_24.png
	wsug_graphics/toolbar/stock_search_24.png
	wsug_graphics/toolbar/stock_stop_24.png
	wsug_graphics/toolbar/stock_top_24.png
	wsug_graphics/toolbar/stock_zoom_1_24.png
	wsug_graphics/toolbar/stock_zoom_in_24.png
	wsug_graphics/toolbar/stock_zoom_out_24.png
)

set(WSDG_FILES
	wsdg_src/WSDG_chapter_build_intro.xml
	wsdg_src/WSDG_chapter_capture.xml
	wsdg_src/WSDG_chapter_dissection.xml
	wsdg_src/WSDG_chapter_env_intro.xml
	wsdg_src/WSDG_chapter_libraries.xml
	wsdg_src/WSDG_chapter_quick_setup.xml
	wsdg_src/WSDG_chapter_sources.xml
	wsdg_src/WSDG_chapter_tools.xml
	wsdg_src/WSDG_chapter_userinterface.xml
	wsdg_src/WSDG_chapter_works.xml
	wsdg_src/WSDG_meta_info.xml
	wsdg_src/WSDG_preface.xml
	ws.css
)

set(WSDG_GRAPHICS
	wsdg_graphics/ws-capture-sync.dia
	wsdg_graphics/ws-capture-sync.png
	wsdg_graphics/ws-capture_internals.dia
	wsdg_graphics/ws-capture_internals.png
	wsdg_graphics/ws-function-blocks.dia
	wsdg_graphics/ws-function-blocks.png
	wsdg_graphics/ws-logo.png
	wsdg_graphics/note.png
	wsdg_graphics/tip.png
	wsdg_graphics/warning.png
)

# user-guide.xml must be first in the list
set(WSUG_SOURCE
	user-guide.xml
	svn_version.xml
	wsluarm
	${WSUG_FILES}
	${WSUG_GRAPHICS}
)

# developer-guide.xml must be first in the list
set(WSDG_SOURCE
	developer-guide.xml
	svn_version.xml
	${WSDG_FILES}
	${WSDG_GRAPHICS}
)

set(RELEASE_NOTES_SOURCE
	release-notes.xml
	svn_version.xml
)

set(WSLUA_MODULES
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_dumper.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_field.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_gui.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_listener.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_pinfo.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_proto.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_tree.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_tvb.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_util.c
)

find_package( FOP ) # Call before XSLTPROC
find_package( LYNX )
find_package( XSLTPROC )
find_package( XMLLINT )

ADD_CUSTOM_COMMAND(
	OUTPUT
		svn_version.xml
	COMMAND ${SH}
		${CMAKE_CURRENT_SOURCE_DIR}/check_svn_version.sh
	DEPENDS
		${CMAKE_CURRENT_SOURCE_DIR}/check_svn_version.sh
)

add_custom_target(
	user_guides ALL
	DEPENDS
		wsluarm
		wsug_html_chunked/index.html
		wsug_html/index.html
		user-guide-a4.pdf
		user-guide-us.pdf
)

VALIDATE_XML(
	wsug.validated
	WSUG_SOURCE
)

XML2HTML(
	wsug.validated
	wsug_html/index.html
	single-page
	WSUG_SOURCE
	WSUG_GRAPHICS
)

XML2HTML(
	wsug.validated
	wsug_html_chunked/index.html
	chunked
	WSUG_SOURCE
	WSUG_GRAPHICS
)

# 2do: Merge A4 and letter into the smallest dimension of each format.
#      Use   --stringparam  page.height <letter-height>mm --stringparam  page.width <at-width>mm
#      Test the effect of this on letter and a4 printers first (ps and non-ps).

XML2PDF(
	user-guide-a4.pdf
	WSUG_SOURCE
	custom_layer_pdf.xsl
	A4
)

XML2PDF(
	user-guide-us.pdf
	WSUG_SOURCE
	custom_layer_pdf.xsl
	letter
)

add_custom_target(
	developer_guides ALL
	DEPENDS
		wsluarm
		wsdg_html_chunked/index.html
		wsdg_html/index.html
		developer-guide-a4.pdf
		developer-guide-us.pdf
)

VALIDATE_XML(
	wsdg.validated
	WSDG_SOURCE
)

XML2HTML(
	wsdg.validated
	wsdg_html/index.html
	single-page
	WSDG_SOURCE
	WSDG_GRAPHICS
)

XML2HTML(
	wsdg.validated
	wsdg_html_chunked/index.html
	chunked
	WSDG_SOURCE
	WSDG_GRAPHICS
)

XML2PDF(
	developer-guide-a4.pdf
	WSDG_SOURCE
	custom_layer_pdf.xsl
	A4
)

XML2PDF(
	developer-guide-us.pdf
	WSDG_SOURCE
	custom_layer_pdf.xsl
	letter
)

# release_notes: release-notes.html release-notes.txt release-notes-a4.pdf release-notes-us.pdf

# wsluarm
ADD_CUSTOM_COMMAND(
	OUTPUT
		wsluarm
	COMMAND cmake -E make_directory wsluarm_src
	COMMAND ${PERL_EXECUTABLE}
		${CMAKE_CURRENT_SOURCE_DIR}/make-wsluarm.pl
		${WSLUA_MODULES}
	COMMAND
		touch wsluarm
	DEPENDS
		${CMAKE_CURRENT_SOURCE_DIR}/make-wsluarm.pl
		${WSLUA_MODULES}
)

=== echld/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52012 2013-09-13 17:23:29Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set(CLEAN_FILES
	echld-util.c
	parent.c
)

set(DIRTY_FILES
	child.c
	common.c
	dispatcher.c
)

set(echld_LIBS
	${GLIB2_LIBRARIES}
)

set(ECHLD_FILES
	${CLEAN_FILES}
	${DIRTY_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()


add_library(echld ${LINK_MODE_LIB}
	${ECHLD_FILES}
)

set(FULL_SO_VERSION "0.0.0")

set_target_properties(echld PROPERTIES COMPILE_DEFINITIONS "WS_BUILD_DLL")
set_target_properties(echld PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(echld PROPERTIES VERSION ${FULL_SO_VERSION} SOVERSION 0)

# discover and substitute list of include directories for ABI compatibility
# checks
#get_directory_property(INCLUDE_DIRS INCLUDE_DIRECTORIES)
#list(REMOVE_DUPLICATES INCLUDE_DIRS)
#string(REGEX REPLACE ";" "\n" INCLUDE_DIRS "${INCLUDE_DIRS}")
#configure_file(../abi-descriptor.template abi-descriptor.xml)

# ABI compliance checker can be obtained from
# http://ispras.linux-foundation.org/index.php/ABI_compliance_checker
# Checked using version 1.21.12
#file(GLOB HEADERS *.h)
#file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/abi-check-headers)
#
#file(COPY ${HEADERS} ../ws_symbol_export.h DESTINATION abi-check-headers)

#add_custom_command(OUTPUT libwsutil.abi.tar.gz
#	COMMAND cp ../config.h abi-check-headers/
#	COMMAND abi-compliance-checker -l libwsutil -v1 ${FULL_SO_VERSION}
#		-relpath ${CMAKE_CURRENT_BINARY_DIR} -dump-abi abi-descriptor.xml
#		|| cat logs/libwsutil/[0-9]*/log.txt
#	COMMAND cp abi_dumps/libwsutil/libwsutil_* libwsutil.abi.tar.gz
#	COMMAND rm -rf abi-check-headers/* abi_dumps
#	DEPENDS ${HEADERS} wsutil)
#add_custom_target(dumpabi-libwsutil DEPENDS libwsutil.abi.tar.gz)

target_link_libraries(echld ${echld_LIBS})

if(NOT ${ENABLE_STATIC})
	install(TARGETS echld
		LIBRARY DESTINATION lib
		RUNTIME DESTINATION lib
		ARCHIVE DESTINATION lib
	)
endif()

=== epan/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52614 2013-10-15 07:30:05Z rbalint $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include(UseABICheck)

if (HAVE_LIBLUA)
	include( wslua/CMakeLists.txt )
endif()
source_group(wslua FILES ${WSLUA_FILES})

if (HAVE_LIBPYTHON)
	include( wspython/CMakeLists.txt )
endif()
source_group(wspython FILES ${WSPYTHON_FILES})

add_subdirectory( dissectors/dcerpc )

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/dfilter
	${CMAKE_CURRENT_SOURCE_DIR}/dissectors
	${CMAKE_CURRENT_SOURCE_DIR}/ftypes
	${CMAKE_CURRENT_SOURCE_DIR}/wslua
	${CMAKE_CURRENT_SOURCE_DIR}/wspython
)

set(CRYPT_FILES
	crypt/airpdcap.c
	crypt/airpdcap_ccmp.c
	crypt/airpdcap_debug.c
	crypt/airpdcap_rijndael.c
	crypt/airpdcap_tkip.c
)
source_group(crypt FILES ${CRYPT_FILES})

set(DFILTER_FILES
	dfilter/dfilter.c
	dfilter/dfilter-macro.c
	dfilter/dfunctions.c
	dfilter/dfvm.c
	dfilter/drange.c
	dfilter/gencode.c
	dfilter/semcheck.c
	dfilter/sttype-function.c
	dfilter/sttype-integer.c
	dfilter/sttype-pointer.c
	dfilter/sttype-range.c
	dfilter/sttype-string.c
	dfilter/sttype-test.c
	dfilter/syntax-tree.c
)
source_group(dfilter FILES ${DFILTER_FILES})

set(DFILTER_CLEAN_FILES
	${DFILTER_FILES}
)

add_lex_files(DFILTER_FILES
	dfilter/scanner.l
)

add_lemon_files(DFILTER_FILES
	dfilter/grammar.lemon
)

if (AUTOGEN_pidl)
    # TODO
endif()

if (AUTOGEN_dcerpc)
  FOREACH(PROTOCOL_NAME ${PIDL_DISSECTOR_AUTOGEN_NAMES})
    set(PIDL_DISSECTOR_AUTOGEN_SRC
	${PIDL_DISSECTOR_AUTOGEN_SRC}
	dissectors/dcerpc/${PROTOCOL_NAME}/packet-dcerpc-${PROTOCOL_NAME}.c
    )
  ENDFOREACH()

  FOREACH(PROTOCOL_NAME ${PIDL_DISSECTOR_AUTOGEN_NAMES})
    SET(CUR_PROTO_DIR ${CMAKE_CURRENT_SOURCE_DIR}/dissectors/dcerpc/${PROTOCOL_NAME})
    SET(CUR_PROTO_C_FILE packet-dcerpc-${PROTOCOL_NAME}.c)
    SET(CUR_PROTO_H_FILE packet-dcerpc-${PROTOCOL_NAME}.h)
    ADD_CUSTOM_COMMAND(
	OUTPUT
	  ${CUR_PROTO_DIR}/${CUR_PROTO_C_FILE}
	  ${CUR_PROTO_DIR}/${CUR_PROTO_H_FILE}
	COMMAND
	  idl2wrs ${PROTOCOL_NAME}
	COMMAND
	  ${CMAKE_COMMAND} -E copy_if_different ${CUR_PROTO_DIR}/${CUR_PROTO_C_FILE} ${CMAKE_CURRENT_SOURCE_DIR}/dissectors/${CUR_PROTO_C_FILE}
	COMMAND
	  ${CMAKE_COMMAND} -E copy_if_different ${CUR_PROTO_DIR}/${CUR_PROTO_H_FILE} ${CMAKE_CURRENT_SOURCE_DIR}/dissectors/${CUR_PROTO_H_FILE}
	WORKING_DIRECTORY
	  ${CUR_PROTO_DIR}
	DEPENDS
	  ${CUR_PROTO_DIR}/${PROTOCOL_NAME}.idl
	  ${CUR_PROTO_DIR}/${PROTOCOL_NAME}.cnf
	  ${CUR_PROTO_DIR}/packet-dcerpc-${PROTOCOL_NAME}-template.c
	  ${CUR_PROTO_DIR}/packet-dcerpc-${PROTOCOL_NAME}-template.h
    )
  ENDFOREACH()
else()
  FOREACH(PROTOCOL_NAME ${PIDL_DISSECTOR_AUTOGEN_NAMES})
    set(PIDL_DISSECTOR_AUTOGEN_SRC
	${PIDL_DISSECTOR_AUTOGEN_SRC}
	dissectors/packet-dcerpc-${PROTOCOL_NAME}.c
    )
  ENDFOREACH()
endif()

ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/packet-ncp2222.c
    COMMAND ${PYTHON_EXECUTABLE}
      ${CMAKE_SOURCE_DIR}/tools/ncp2222.py
      -o ${CMAKE_CURRENT_BINARY_DIR}/packet-ncp2222.c
    DEPENDS
      dissectors/packet-ncp2222.inc
      ${CMAKE_SOURCE_DIR}/tools/ncp2222.py
)

ADD_CUSTOM_COMMAND(
    OUTPUT
       x11-dissector
#      x11-declarations.h
#      x11-enum.h
#      x11-extension-errors.h
#      x11-extension-implementation.h
#      x11-fields
#      x11-glx-render-enum.h
#      x11-register-info.h
    COMMAND ${PERL_EXECUTABLE}
      ${CMAKE_SOURCE_DIR}/tools/process-x11-fields.pl
      <dissectors/x11-fields
    COMMAND ${PERL_EXECUTABLE}
      ${CMAKE_SOURCE_DIR}/tools/process-x11-xcb.pl
    DEPENDS
      dissectors/x11-fields
      ${CMAKE_SOURCE_DIR}/tools/process-x11-fields.pl
      ${CMAKE_SOURCE_DIR}/tools/process-x11-xcb.pl
)

# Note that some dissectors are added in dissectors/dcerpc/CMakeLists.txt
set(PIDL_DISSECTOR_SRC
	dissectors/packet-dcerpc-atsvc.c
#	dissectors/packet-dcerpc-budb.c
#	dissectors/packet-dcerpc-butc.c
#	dissectors/packet-dcerpc-drsuapi.c
	dissectors/packet-dcerpc-dssetup.c
	dissectors/packet-dcerpc-efs.c
	dissectors/packet-dcerpc-frstrans.c
	dissectors/packet-dcerpc-initshutdown.c
	dissectors/packet-dcerpc-nspi.c
	dissectors/packet-dcerpc-rfr.c
	dissectors/packet-dcerpc-srvsvc.c
	dissectors/packet-dcerpc-wkssvc.c
	dissectors/packet-dcerpc-wzcsvc.c
)
set(DIRTY_PIDL_DISSECTOR_SRC
	dissectors/packet-dcerpc-dfs.c
	dissectors/packet-dcerpc-dnsserver.c
	dissectors/packet-dcerpc-eventlog.c
	dissectors/packet-dcerpc-lsa.c
	dissectors/packet-dcerpc-mapi.c
	dissectors/packet-dcerpc-winreg.c
)
set(ASN1_DISSECTOR_SRC
	dissectors/packet-acp133.c
	dissectors/packet-acse.c
	dissectors/packet-ansi_tcap.c
	dissectors/packet-c1222.c
	dissectors/packet-camel.c
	dissectors/packet-cdt.c
	dissectors/packet-charging_ase.c
	dissectors/packet-cmip.c
	dissectors/packet-cmp.c
	dissectors/packet-cms.c
	dissectors/packet-credssp.c
	dissectors/packet-crmf.c
	dissectors/packet-dap.c
	dissectors/packet-disp.c
	dissectors/packet-dop.c
	dissectors/packet-dsp.c
	dissectors/packet-ess.c
	dissectors/packet-ftam.c
	dissectors/packet-goose.c
	dissectors/packet-HI2Operations.c
	dissectors/packet-h225.c
	dissectors/packet-h235.c
	dissectors/packet-h245.c
	dissectors/packet-h248.c
	dissectors/packet-h282.c
	dissectors/packet-h283.c
	dissectors/packet-h323.c
	dissectors/packet-h450.c
	dissectors/packet-h450-ros.c
	dissectors/packet-h460.c
	dissectors/packet-h501.c
	dissectors/packet-hnbap.c
	dissectors/packet-idmp.c
	dissectors/packet-inap.c
	dissectors/packet-isdn-sup.c
	dissectors/packet-lcsap.c
	dissectors/packet-logotypecertextn.c
	dissectors/packet-lpp.c
	dissectors/packet-lppa.c
	dissectors/packet-lppe.c
	dissectors/packet-lte-rrc.c
	dissectors/packet-mms.c
	dissectors/packet-mpeg-audio.c
	dissectors/packet-mpeg-pes.c
	dissectors/packet-nbap.c
	dissectors/packet-ns_cert_exts.c
	dissectors/packet-ocsp.c
	dissectors/packet-p22.c
	dissectors/packet-p7.c
	dissectors/packet-p772.c
	dissectors/packet-pcap.c
	dissectors/packet-pkcs1.c
	dissectors/packet-pkinit.c
	dissectors/packet-pkix1explicit.c
	dissectors/packet-pkix1implicit.c
	dissectors/packet-pkixac.c
	dissectors/packet-pkixproxy.c
	dissectors/packet-pkixqualified.c
	dissectors/packet-pkixtsp.c
	dissectors/packet-q932.c
	dissectors/packet-q932-ros.c
	dissectors/packet-qsig.c
	dissectors/packet-ranap.c
	dissectors/packet-ros.c
	dissectors/packet-rrc.c
	dissectors/packet-rrlp.c
	dissectors/packet-rtse.c
	dissectors/packet-rua.c
	dissectors/packet-s1ap.c
	dissectors/packet-sabp.c
	dissectors/packet-sbc-ap.c
	dissectors/packet-smrse.c
	dissectors/packet-spnego.c
	dissectors/packet-sv.c
	dissectors/packet-t38.c
	dissectors/packet-ulp.c
	dissectors/packet-wlancertextn.c
	dissectors/packet-x2ap.c
	dissectors/packet-x509af.c
	dissectors/packet-x509ce.c
	dissectors/packet-x509if.c
	dissectors/packet-x509sat.c
)

set(DIRTY_ASN1_DISSECTOR_SRC
	dissectors/packet-ansi_map.c
	dissectors/packet-coseventcomm.c
	dissectors/packet-cosnaming.c
	dissectors/packet-gnm.c
	dissectors/packet-gprscdr.c
	dissectors/packet-gsm_map.c
	dissectors/packet-ldap.c
	dissectors/packet-m3ap.c
	dissectors/packet-p1.c
	dissectors/packet-parlay.c
	dissectors/packet-pkcs12.c
	dissectors/packet-pres.c
	dissectors/packet-rnsap.c
	dissectors/packet-snmp.c
	dissectors/packet-t124.c
	dissectors/packet-t125.c
	dissectors/packet-tango.c
	dissectors/packet-tcap.c
	dissectors/packet-tetra.c
)

set(DISSECTOR_SRC
	dissectors/file-mp4.c
	dissectors/packet-2dparityfec.c
	dissectors/packet-3com-njack.c
	dissectors/packet-3com-xns.c
	dissectors/packet-3g-a11.c
	dissectors/packet-6lowpan.c
	dissectors/packet-9p.c
	dissectors/packet-aarp.c
	dissectors/packet-aastra-aasp.c
	dissectors/packet-acap.c
	dissectors/packet-acn.c
	dissectors/packet-actrace.c
	dissectors/packet-adwin-config.c
	dissectors/packet-adwin.c
	dissectors/packet-afp.c
	dissectors/packet-afs.c
	dissectors/packet-agentx.c
	dissectors/packet-aim-admin.c
	dissectors/packet-aim-adverts.c
	dissectors/packet-aim-bos.c
	dissectors/packet-aim-buddylist.c
	dissectors/packet-aim-chat.c
	dissectors/packet-aim-chatnav.c
	dissectors/packet-aim-directory.c
	dissectors/packet-aim-email.c
	dissectors/packet-aim-generic.c
	dissectors/packet-aim-icq.c
	dissectors/packet-aim-invitation.c
	dissectors/packet-aim-location.c
	dissectors/packet-aim-messaging.c
	dissectors/packet-aim-oft.c
	dissectors/packet-aim-popup.c
	dissectors/packet-aim-signon.c
	dissectors/packet-aim-ssi.c
	dissectors/packet-aim-sst.c
	dissectors/packet-aim-stats.c
	dissectors/packet-aim-translate.c
	dissectors/packet-aim-userlookup.c
	dissectors/packet-aim.c
	dissectors/packet-ajp13.c
	dissectors/packet-alcap.c
	dissectors/packet-amqp.c
	dissectors/packet-amr.c
	dissectors/packet-ancp.c
	dissectors/packet-ans.c
	dissectors/packet-ansi_637.c
	dissectors/packet-ansi_683.c
	dissectors/packet-ansi_801.c
	dissectors/packet-ansi_a.c
	dissectors/packet-aodv.c
	dissectors/packet-aoe.c
	dissectors/packet-aol.c
	dissectors/packet-ap1394.c
	dissectors/packet-app-pkix-cert.c
	dissectors/packet-applemidi.c
	dissectors/packet-aprs.c
	dissectors/packet-arcnet.c
	dissectors/packet-armagetronad.c
	dissectors/packet-arp.c
	dissectors/packet-artnet.c
	dissectors/packet-aruba-adp.c
	dissectors/packet-aruba-erm.c
	dissectors/packet-aruba-papi.c
	dissectors/packet-ar_drone.c
	dissectors/packet-asap.c
	dissectors/packet-ascend.c
	dissectors/packet-asf.c
	dissectors/packet-assa_r3.c
	dissectors/packet-asterix.c
	dissectors/packet-at.c
	dissectors/packet-atalk.c
	dissectors/packet-atm.c
	dissectors/packet-atmtcp.c
	dissectors/packet-auto_rp.c
	dissectors/packet-ax25.c
	dissectors/packet-ax25-kiss.c
	dissectors/packet-ax25-nol3.c
	dissectors/packet-ax4000.c
	dissectors/packet-ayiya.c
	dissectors/packet-babel.c
	dissectors/packet-bacapp.c
	dissectors/packet-bacnet.c
	dissectors/packet-banana.c
	dissectors/packet-bat.c
	dissectors/packet-batadv.c
	dissectors/packet-bctp.c
	dissectors/packet-beep.c
	dissectors/packet-ber.c
	dissectors/packet-bfcp.c
	dissectors/packet-bfd.c
	dissectors/packet-bgp.c
	dissectors/packet-bitcoin.c
	dissectors/packet-bittorrent.c
	dissectors/packet-bjnp.c
	dissectors/packet-bmc.c
	dissectors/packet-bofl.c
	dissectors/packet-bootp.c
	dissectors/packet-bootparams.c
	dissectors/packet-bpdu.c
	dissectors/packet-bpq.c
	dissectors/packet-brdwlk.c
	dissectors/packet-brp.c
	dissectors/packet-bssap.c
	dissectors/packet-bssgp.c
	dissectors/packet-bt-dht.c
	dissectors/packet-bt-utp.c
	dissectors/packet-bt3ds.c
	dissectors/packet-btamp.c
	dissectors/packet-btatt.c
	dissectors/packet-btbnep.c
	dissectors/packet-btavctp.c
	dissectors/packet-btavdtp.c
	dissectors/packet-btavrcp.c
	dissectors/packet-bthci_acl.c
	dissectors/packet-bthci_cmd.c
	dissectors/packet-bthci_evt.c
	dissectors/packet-bthci_sco.c
	dissectors/packet-bthcrp.c
	dissectors/packet-bthfp.c
	dissectors/packet-bthid.c
	dissectors/packet-btl2cap.c
	dissectors/packet-btmcap.c
	dissectors/packet-btobex.c
	dissectors/packet-btrfcomm.c
	dissectors/packet-btsap.c
	dissectors/packet-btsdp.c
	dissectors/packet-btsmp.c
	dissectors/packet-bt-oui.c
	dissectors/packet-bvlc.c
	dissectors/packet-bzr.c
	dissectors/packet-calcappprotocol.c
	dissectors/packet-canopen.c
	dissectors/packet-capwap.c
	dissectors/packet-carp.c
	dissectors/packet-cast.c
	dissectors/packet-catapult-dct2000.c

=== ui/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52580 2013-10-13 09:21:55Z grahamb $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#


set(COMMON_UI_SRC
	alert_box.c
	export_object.c
	export_object_dicom.c
	export_object_http.c
	export_object_smb.c
	follow.c
	help_url.c
	packet_list_utils.c
	iface_lists.c
	preference_utils.c
	profile.c
	recent.c
	ssl_key_export.c
	software_update.c
	tap-megaco-common.c
	tap-rtp-common.c
	tap-tcp-stream.c
	text_import.c
	time_shift.c
	util.c
)

set(DIRTY_UI_SRC)

add_lex_files(DIRTY_UI_SRC
	text_import_scanner.l
)

set(CLEAN_FILES
	${COMMON_UI_SRC}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()


add_library(ui STATIC
	${COMMON_UI_SRC}
	${DIRTY_UI_SRC}
)

set_target_properties(ui PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(ui PROPERTIES FOLDER "UI")

=== wiretap/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52614 2013-10-15 07:30:05Z rbalint $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include(UseABICheck)

set(CLEAN_FILES
	5views.c
	aethra.c
	ascendtext.c
	atm.c
	ber.c
	btsnoop.c
	buffer.c
	camins.c
	catapult_dct2000.c
	commview.c
	cosine.c
	csids.c
	daintree-sna.c
	dbs-etherwatch.c
	dct3trace.c
	erf.c
	eyesdn.c
	file_access.c
	file_wrappers.c
	hcidump.c
	i4btrace.c
	ipfix.c
	iptrace.c
	iseries.c
	k12.c
	lanalyzer.c
	libpcap.c
	merge.c
	mpeg.c
	mime_file.c
	mp2t.c
	netmon.c
	netscaler.c
	netscreen.c
	nettl.c
	network_instruments.c
	netxray.c
	ngsniffer.c
	packetlogger.c
	pcap-common.c
	pcapng.c
	peekclassic.c
	peektagged.c
	pppdump.c
	radcom.c
	snoop.c
	stanag4607.c
	tnef.c
	toshiba.c
	visual.c
	vms.c
	vwr.c
	wtap.c
)

set(DIRTY_FILES
)

set(WIRETAP_FILES
	${CLEAN_FILES}
	${DIRTY_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

add_lex_files(WIRETAP_FILES
	ascend_scanner.l
	k12text.l
)

add_yacc_files(WIRETAP_FILES
	ascend.y
)

set(wiretap_LIBS
	${GLIB2_LIBRARIES}
	${GMODULE2_LIBRARIES}
	${ZLIB_LIBRARIES}
	wsutil
)

add_library(wiretap ${LINK_MODE_LIB}
	${WIRETAP_FILES}
)

set(FULL_SO_VERSION "0.0.0")

set_target_properties(wiretap PROPERTIES COMPILE_DEFINITIONS "WS_BUILD_DLL")
set_target_properties(wiretap PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(wiretap PROPERTIES VERSION ${FULL_SO_VERSION} SOVERSION 0)
set_target_properties(wiretap PROPERTIES FOLDER "DLLs")

ABICHECK(libwiretap)

add_custom_command(OUTPUT libwiretap.abi.tar.gz
	COMMAND cp ../config.h abi-check-headers/
	COMMAND abi-compliance-checker -l libwiretap -v1 ${FULL_SO_VERSION}
		-relpath ${CMAKE_CURRENT_BINARY_DIR} -dump-abi abi-descriptor.xml
		|| cat logs/libwiretap/[0-9]*/log.txt
	COMMAND cp abi_dumps/libwiretap/libwiretap_* libwiretap.abi.tar.gz
	COMMAND rm -rf abi-check-headers/* abi_dumps
	DEPENDS ${HEADERS} wiretap)

target_link_libraries(wiretap ${wiretap_LIBS})

if(NOT ${ENABLE_STATIC})
	install(TARGETS wiretap
		LIBRARY DESTINATION lib
		RUNTIME DESTINATION lib
		ARCHIVE DESTINATION lib
	)
endif()

=== wsutil/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52614 2013-10-15 07:30:05Z rbalint $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include(UseABICheck)

IF(WIN32)
  set(WSUTIL_PLATFORM_FILES
    file_util.c
    inet_aton.c
    inet_ntop.c
    inet_pton.c
    strptime.c
    unicode-utils.c
    wsgetopt.c
  )
ENDIF(WIN32)

set(WSUTIL_FILES
  aes.c
  airpdcap_wep.c
  crash_info.c
  crc10.c
  crc16.c
  crc16-plain.c
  crc32.c
  crc6.c
  crc7.c
  crc8.c
  crc11.c
  crcdrm.c
  des.c
  eax.c
  g711.c
  md4.c
  md5.c
  mpeg-audio.c
  nstime.c
  privileges.c
  sha1.c
  strnatcmp.c
  str_util.c
  rc4.c
  report_err.c
  swar.c
  tempfile.c
  type_util.c
  u3.c
  ${WSUTIL_PLATFORM_FILES}
)

set(wsutil_LIBS
  ${GMODULE2_LIBRARIES}
  ${GLIB2_LIBRARIES}
  ${GCRYPT_LIBRARIES}
  ${WIN_WSOCK32_LIBRARY}
)
IF(WIN32)
  set(wsutil_LIBS ${wsutil_LIBS} "ws2_32.lib")
ENDIF(WIN32)

set(CLEAN_FILES
  ${WSUTIL_FILES}
)

if (WERROR)
  set_source_files_properties(
    ${CLEAN_FILES}
    PROPERTIES
    COMPILE_FLAGS -Werror
  )
endif()

add_library(wsutil ${LINK_MODE_LIB}
  ${WSUTIL_FILES}
)

set(FULL_SO_VERSION "0.0.0")

set_target_properties(wsutil PROPERTIES COMPILE_DEFINITIONS "WS_BUILD_DLL")
set_target_properties(wsutil PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(wsutil PROPERTIES VERSION ${FULL_SO_VERSION} SOVERSION 0)
set_target_properties(wsutil PROPERTIES FOLDER "DLLs")

ABICHECK(libwsutil)

add_custom_command(OUTPUT libwsutil.abi.tar.gz
	COMMAND cp ../config.h abi-check-headers/
	COMMAND abi-compliance-checker -l libwsutil -v1 ${FULL_SO_VERSION}
		-relpath ${CMAKE_CURRENT_BINARY_DIR} -dump-abi abi-descriptor.xml
		|| cat logs/libwsutil/[0-9]*/log.txt
	COMMAND cp abi_dumps/libwsutil/libwsutil_* libwsutil.abi.tar.gz
	COMMAND rm -rf abi-check-headers/* abi_dumps
	DEPENDS ${HEADERS} wsutil)

target_link_libraries(wsutil ${wsutil_LIBS})

if(NOT ${ENABLE_STATIC})
	install(TARGETS wsutil
		LIBRARY DESTINATION lib
		RUNTIME DESTINATION lib
		ARCHIVE DESTINATION lib
	)
endif()

=== epan/wslua/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52580 2013-10-13 09:21:55Z grahamb $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

# This file is to be included/run from epan/CMakeLists.txt

set(WSLUA_MODULES
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/lua_bitop.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_tvb.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_proto.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_tree.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_pinfo.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_listener.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_gui.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_util.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_field.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_dumper.c
)

set(WSLUA_FILES
	${WSLUA_MODULES}
	taps_wslua.c
	register_wslua.c
	wslua/init_wslua.c
)

# Used with untypical CWD
set(WSLUA_TAPS_USED
	${CMAKE_SOURCE_DIR}/epan/dissectors/packet-http.h
	${CMAKE_SOURCE_DIR}/epan/dissectors/packet-ip.h
	${CMAKE_SOURCE_DIR}/epan/dissectors/packet-udp.h
	${CMAKE_SOURCE_DIR}/epan/dissectors/packet-h225.h
	${CMAKE_SOURCE_DIR}/epan/dissectors/packet-ieee80211.h
)

# make-taps.pl depends on the current working directory
# to find the dissector files (contents of taps file
# depend on this actually, so just changing the paths
# in these lists won't help).
ADD_CUSTOM_COMMAND(
    OUTPUT
      ${CMAKE_CURRENT_BINARY_DIR}/taps_wslua.c
      ${CMAKE_CURRENT_BINARY_DIR}/taps.txt
    COMMAND ${PERL_EXECUTABLE}
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-taps.pl
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/taps
      ${CMAKE_CURRENT_BINARY_DIR}/taps_wslua.c
      ${CMAKE_CURRENT_BINARY_DIR}/taps.txt
    WORKING_DIRECTORY
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua
    DEPENDS
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/taps
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-taps.pl
      # Only here to add dependencies for the taps "source"files
      ${WSLUA_TAPS_USED}
)

ADD_CUSTOM_COMMAND(
    OUTPUT
      declare_wslua.h
      register_wslua.c
    COMMAND ${PERL_EXECUTABLE}
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-reg.pl
      ${WSLUA_MODULES}
    DEPENDS
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-reg.pl
      ${WSLUA_MODULES}
      # ${CMAKE_CURRENT_BINARY_DIR}/taps_wslua.c
)

ADD_CUSTOM_COMMAND(
    OUTPUT init.lua
    COMMAND ${PERL_EXECUTABLE}
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-init-lua.pl
      ${CMAKE_SOURCE_DIR}
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/template-init.lua
      > init.lua
    DEPENDS
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-init-lua.pl
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/template-init.lua
      ${CMAKE_SOURCE_DIR}/epan/ftypes/ftypes.h
      ${CMAKE_SOURCE_DIR}/wiretap/wtap.h
      ${CMAKE_SOURCE_DIR}/epan/epan.h
      ${CMAKE_SOURCE_DIR}/stat_menu.h
)

add_custom_target(
     wsluaauxiliary ALL
     DEPENDS
	init.lua
)
set_target_properties(wsluaauxiliary PROPERTIES FOLDER "Auxiliary")

install(
    FILES
	wslua/console.lua
	wslua/dtd_gen.lua
	${CMAKE_CURRENT_BINARY_DIR}/init.lua
    DESTINATION
	${CMAKE_INSTALL_DATADIR}/${CPACK_PACKAGE_NAME}
)

=== plugins/asn1/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52580 2013-10-13 09:21:55Z grahamb $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set(DISSECTOR_SRC
	packet-asn1.c
)

set(DISSECTOR_SUPPORT_SRC
	asn1.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
	${DISSECTOR_SUPPORT_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(asn1 ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(asn1 PROPERTIES PREFIX "")
set_target_properties(asn1 PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(asn1 PROPERTIES FOLDER "Plugins")

target_link_libraries(asn1 epan)

install(TARGETS asn1
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

=== plugins/docsis/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52580 2013-10-13 09:21:55Z grahamb $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set(DISSECTOR_SRC
	packet-bintrngreq.c
	packet-bpkmattr.c
	packet-bpkmreq.c
	packet-bpkmrsp.c
	packet-cmctrlreq.c
	packet-cmctrlrsp.c
	packet-cmstatus.c
	packet-intrngreq.c
	packet-dbcreq.c
	packet-dbcrsp.c
	packet-dbcack.c
	packet-dccack.c
	packet-dccreq.c
	packet-dccrsp.c
	packet-dcd.c
	packet-dpvreq.c
	packet-dpvrsp.c
	packet-docsis.c
	packet-dsaack.c
	packet-dsareq.c
	packet-dsarsp.c
	packet-dscack.c
	packet-dscreq.c
	packet-dscrsp.c
	packet-dsdreq.c
	packet-dsdrsp.c
	packet-macmgmt.c
	packet-map.c
	packet-mdd.c
	packet-regack.c
	packet-regreq.c
	packet-regreqmp.c
	packet-regrsp.c
	packet-regrspmp.c
	packet-rngreq.c
	packet-rngrsp.c
	packet-sync.c
	packet-tlv.c
	packet-tlv-cmctrl.c
	packet-type29ucd.c
	packet-uccreq.c
	packet-uccrsp.c
	packet-ucd.c
	packet-vendor.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(docsis ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(docsis PROPERTIES PREFIX "")
set_target_properties(docsis PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(docsis PROPERTIES FOLDER "Plugins")

target_link_libraries(docsis epan)

install(TARGETS docsis
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

=== plugins/ethercat/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 52580 2013-10-13 09:21:55Z grahamb $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set(DISSECTOR_SRC
	packet-ams.c
	packet-ecatmb.c
	packet-esl.c
	packet-ethercat-datagram.c
	packet-ethercat-frame.c
	packet-ioraw.c
	packet-nv.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(ethercat ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(ethercat PROPERTIES PREFIX "")
set_target_properties(ethercat PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(ethercat PROPERTIES FOLDER "Plugins")

target_link_libraries(ethercat epan)

install(TARGETS ethercat
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

=== debian/changelog ===
wireshark (1.11.0) unstable; urgency=low

  * Self-made package

 -- Wireshark Self-made package <wireshark@example.com>  Wed, 27 Jan 2010 00:00:00 +0000

=== debian/control ===
Source: wireshark
Section: net
Priority: optional
Maintainer: Wireshark Self-made package <wireshark@example.com>
X-Orig-Maintainer: Frederic Peters <fpeters@debian.org>
X-Orig-Uploaders: Joost Yervante Damad <andete@debian.org>
Standards-Version: 3.8.1.0
Homepage: http://www.wireshark.org
Build-Depends: libgtk2.0-dev (>=2.12.0-0), libpcap0.8-dev, flex, libz-dev, dpatch, debhelper (>= 6), libtool, python, automake1.9 | automake1.10 | automake, autoconf, autotools-dev, libc-ares-dev, xsltproc, docbook-xsl (>= 1.64.1.0-0), libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], bison, libgnutls-dev, python-support (>= 0.3), portaudio19-dev, libkrb5-dev, liblua5.1-0-dev, libsmi2-dev, libgeoip-dev, xdg-utils
Build-Conflicts: libsnmp4.2-dev, libsnmp-dev
XS-Python-Version: all

Package: wireshark-common
Architecture: any
Depends: ${shlibs:Depends}
Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
Suggests: snmp-mibs-downloader
Replaces: ethereal-common (<< 0.99.2-0)
Conflicts: ethereal-common (<< 0.99.2-0)
Description: network traffic analyser (common files)
 Wireshark is a network traffic analyzer, or "sniffer", for Unix and
 Unix-like operating systems. A sniffer is a tool used to capture 
 packets off the wire. Wireshark decodes numerous protocols (too many
 to list).
 .
 This package provides files common to both wireshark (the GTK+ version)
 and tshark (the console version).

Package: wireshark
Architecture: any
Depends: ${shlibs:Depends}, wireshark-common (= ${binary:Version}), xdg-utils
Recommends: gksu
Replaces: ethereal (<< 0.99.2-0)
Conflicts: ethereal (<< 0.99.2-0)
Description: network traffic analyzer
 Wireshark is a network traffic analyzer, or "sniffer", for Unix and
 Unix-like operating systems. A sniffer is a tool used to capture 
 packets off the wire. Wireshark decodes numerous protocols (too many
 to list).
 .
 This package provides wireshark (the GTK+ version)

Package: tshark
Architecture: any
Depends: ${shlibs:Depends}, wireshark-common (= ${binary:Version})
Replaces: tethereal (<< 0.99.2-0)
Conflicts: tethereal (<< 0.99.2-0)
Description: network traffic analyzer (console)
 Wireshark is a network traffic analyzer, or "sniffer", for Unix and
 Unix-like operating systems. A sniffer is a tool used to capture 
 packets off the wire. Wireshark decodes numerous protocols (too many
 to list).
 .
 This package provides the console version of wireshark, named
 "tshark".

Package: wireshark-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, omniidl4 (>= 4.0.1-2), libpcap0.8-dev, libtool, libglib2.0-dev, ${python:Depends}, snacc, autotools-dev, debhelper, cdbs, automake1.9, autoconf
Replaces: ethereal-dev (<< 0.99.2-0)
Conflicts: ethereal-dev (<< 0.99.2-0)
XB-Python-Version: ${python:Versions}
Description: network traffic analyser (development tools)
 Wireshark is a network traffic analyzer, or "sniffer", for Unix and
 Unix-like operating systems. A sniffer is a tool used to capture 
 packets off the wire. Wireshark decodes numerous protocols (too many
 to list).
 .
 This package provides idl2wrs and other necessary files to develop
 new packet dissectors.
